Bug 836853 - [abrt] bouml-4.21-3.fc17: QToolBar::event: Process /usr/lib/bouml/bouml was killed by signal 11 (SIGSEGV)
[abrt] bouml-4.21-3.fc17: QToolBar::event: Process /usr/lib/bouml/bouml was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bouml (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
abrt_hash:1c410bbe0ea7fa66b204a21e4b2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 19:43 EDT by Ilya Pashchenko
Modified: 2013-07-31 19:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.69 KB, text/plain)
2012-07-01 19:43 EDT, Ilya Pashchenko
no flags Details
File: smolt_data (2.98 KB, text/plain)
2012-07-01 19:43 EDT, Ilya Pashchenko
no flags Details
File: maps (10.52 KB, text/plain)
2012-07-01 19:43 EDT, Ilya Pashchenko
no flags Details

  None (edit)
Description Ilya Pashchenko 2012-07-01 19:43:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib/bouml/bouml
crash_function: QToolBar::event
executable:     /usr/lib/bouml/bouml
kernel:         3.4.3-1.fc17.i686
pid:            3982
pwd:            /home/ilya
time:           Пн. 02 июля 2012 03:37:45
uid:            1000
username:       ilya
xsession_errors: 

backtrace:      Text file, 21183 bytes
maps:           Text file, 10772 bytes
smolt_data:     Binary file, 3056 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ilya/2

core_backtrace:
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x3cddc0 QToolBar::event(QEvent*) libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x24b7c0 QApplication::internalNotify(QObject*, libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x24b934 QApplication::notify(QObject*, libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x2dec91 QWidget::showChildren(bool) libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x2dec4b QWidget::showChildren(bool) libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x1eb43f QApplication::x11ProcessEvent(_XEvent*) libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x1fc1c4 QEventLoop::processEvents(unsigned libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x261c80 QEventLoop::enterLoop() libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x261c05 QEventLoop::exec() libqt-mt.so.3 -
:d67630202f8b15b8d08fa1d86d777daaf4bd00ef 0x24c41d QApplication::exec() libqt-mt.so.3 -
:4733d44011195c640497fc713989555ed98c31ae 0x2761d - [exe] -

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.15-37.fc17.i686 (Fedora Project) 1337952625
:/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so qt3-3.3.8b-41.fc17.i686 (Fedora Project) 1340624487
:/usr/lib/qt-3.3/plugins/inputmethods/libqsimple.so qt3-3.3.8b-41.fc17.i686 (Fedora Project) 1340624487
:/usr/lib/liblcms.so.1.0.19 lcms-libs-1.19-5.fc17.i686 (Fedora Project) 1337952639
:/usr/lib/libICE.so.6.3.0 libICE-1.0.8-1.fc17.i686 (Fedora Project) 1337952628
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-7.fc17.R.i686 (Russian Fedora Team) 1337952668
:/usr/lib/libpthread-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337952625
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1337952630
:/usr/lib/qt-3.3/plugins/inputmethods/libqxim.so qt3-3.3.8b-41.fc17.i686 (Fedora Project) 1340624487
:/usr/lib/libSM.so.6.0.1 libSM-1.2.1-1.fc17.i686 (Fedora Project) 1337952629
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.2-1.fc17.i686 (Fedora Project) 1337952631
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.i686 (Fedora Project) 1337952628
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1337952620
:/usr/lib/libX11.so.6.3.0 libX11-1.5.0-2.fc17.i686 (Fedora Project) 1340905796
:/usr/lib/libXext.so.6.4.0 libXext-1.3.1-1.fc17.i686 (Fedora Project) 1337952630
:/usr/lib/libXi.so.6.1.0 libXi-1.6.1-1.fc17.i686 (Fedora Project) 1337952631
:/usr/share/fonts/default/Type1/n022003l.pfb urw-fonts-2.4-11.fc17.noarch (Fedora Project) 1337952675
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.7-1.fc17.i686 (Fedora Project) 1337952630
:/usr/lib/libnss_files-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337952625
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1337952653
:/usr/share/fonts/default/Type1/n019003l.pfb urw-fonts-2.4-11.fc17.noarch (Fedora Project) 1337952675
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337952625
:/usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1337952653
:/usr/share/fonts/default/Type1/n019024l.pfb urw-fonts-2.4-11.fc17.noarch (Fedora Project) 1337952675
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1337952653
:/usr/lib/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.i686 (Fedora Project) 1337952628
:/usr/share/locale/ru/LC_MESSAGES/libc.mo glibc-common-2.15-37.fc17.i686 (Fedora Project) 1337952624
:/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so qt3-3.3.8b-41.fc17.i686 (Fedora Project) 1340624487
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337952625
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1337952628
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.13-1.fc17.i686 (Fedora Project) 1337952631
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.2.0-1.fc17.i686 (Fedora Project) 1337952628
:/usr/lib/libexpat.so.1.6.0 expat-2.1.0-1.fc17.i686 (Fedora Project) 1337952629
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.i686 (Fedora Project) 1340905796
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337952625
:/usr/share/fonts/default/Type1/n019004l.pfb urw-fonts-2.4-11.fc17.noarch (Fedora Project) 1337952675
:/usr/lib/libfreetype.so.6.8.0 freetype-2.4.8-3.fc17.R.i686 (Russian Fedora Team) 1337952628
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-3.fc17.i686 (Fedora Project) 1337952630
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337952625
:/usr/lib/libXft.so.2.3.0 libXft-2.3.0-2.fc17.i686 (Fedora Project) 1337952674
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.i686 (Fedora Project) 1339673196
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-2.fc17.i686 (Fedora Project) 1337952630
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.i686 (Fedora Project) 1337952624
:/usr/share/fonts/default/Type1/n019023l.pfb urw-fonts-2.4-11.fc17.noarch (Fedora Project) 1337952675

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1122
:XDG_SESSION_ID=2
:HOSTNAME=lama
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:GPG_AGENT_INFO=/home/ilya/.gnupg/S.gpg-agent:1156:1
:SHELL=/bin/bash
:TERM=xterm-256color
:XDG_MENU_PREFIX=xfce-
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/ilya/keyring-guH8yV
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:'IMSETTINGS_MODULE=X compose table'
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=ilya
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-jfEtXRAYV980/agent.980
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1165,unix/unix:/tmp/.ICE-unix/1165
:USERNAME=ilya
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/lib/bouml:/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ilya/.local/bin:/home/ilya/bin
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/ilya
:QT_IM_MODULE=xim
:BOUML_LIB_DIR=/usr/lib/bouml
:PWD=/home/ilya
:XMODIFIERS=@im=none
:EDITOR=vim
:GNOME_KEYRING_PID=978
:LANG=ru_RU.UTF-8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/ilya
:SHLVL=2
:LOGNAME=ilya
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-q8XEOGtiDc,guid=bd786cf66e9cecd35e30172e0000002e
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/ilya
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-ilya-zpw0EK/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 27489                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       27489                27489                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/ilya/.xsession-errors
:pos:	19779
:flags:	02002
:2:/home/ilya/.xsession-errors
:pos:	19779
:flags:	02002
:3:socket:[98931]
:pos:	0
:flags:	02004002
:4:socket:[98932]
:pos:	0
:flags:	02000002
:5:pipe:[100460]
:pos:	0
:flags:	02000000
:6:pipe:[100460]
:pos:	0
:flags:	02000001

var_log_messages:
:Jul  2 03:37:45 lama kernel: [47821.309270] bouml[3982]: segfault at cfd029f4 ip 418d9dc0 sp bfd5012c error 7 in libqt-mt.so.3.3.8 (deleted)[4150c000+7d4000]
:Jul  2 03:37:45 lama abrt[20769]: File '/usr/lib/bouml/bouml' seems to be deleted
:Jul  2 03:37:45 lama abrt[20769]: Saved core dump of pid 3982 (/usr/lib/bouml/bouml) to /var/spool/abrt/ccpp-2012-07-02-03:37:45-3982 (4374528 bytes)
:Jul  2 03:37:45 lama kernel: [47822.038416] EXT4-fs error (device dm-1): ext4_free_inode:300: comm bouml: bit already cleared for inode 912307
:Jul  2 03:37:46 lama kernel: [47822.101300] EXT4-fs error (device dm-1): ext4_free_inode:300: comm bouml: bit already cleared for inode 407761
Comment 1 Ilya Pashchenko 2012-07-01 19:43:11 EDT
Created attachment 595580 [details]
File: backtrace
Comment 2 Ilya Pashchenko 2012-07-01 19:43:13 EDT
Created attachment 595581 [details]
File: smolt_data
Comment 3 Ilya Pashchenko 2012-07-01 19:43:16 EDT
Created attachment 595582 [details]
File: maps
Comment 4 Fedora End Of Life 2013-07-03 18:07:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:46:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.